Multiple Delivery Submits

The Batch Submit Delivery allows for bulk submission of deliveries. The current limit is 100 per API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Requested Attribute

AttributeData TypeDescriptionRequired Format
uidsstringunique multicharacter identifier that refers to a singular lease/ordernone
skustringretailer defined and specific stock keeping unit to identify the product/item in the cartnone
display_namestringname of the item in the cartnone
unit_pricestring or integer input, string outputcash price of and item at a quantity of 1number
quantityintegernumber of a speicfic item in the cartnumber
delivery_datestringthe expected date an item(s) will be delivered to the customer's shipping addressYYYY-MM-DD

Requested Payload

{
  "uids": {
    "1234567890": {
    "items":[{
      "sku": "285868",
      "display_name": "BATTERY",
      "unit_price": 4.0,
      "quantity": 4,
     },
     {
      "sku": "12345",
      "display_name": "SOFA",
      "unit_price": 500.0,
      "quantity": 1,
     }]
     "delivery_date": "2016-10-14T13:40:16.368888"
    },
    "ab12345": {
      "items":[{
        "sku": "285868",
        "display_name": "BATTERY",
        "unit_price": 4.0,
        "quantity": 4,
    	}]
      "delivery_date": "2016-10-17T13:40:16.368888"
      }
    }
  }

Multiple Delivery Submits Errors

ErrorsHTTP StatusDescription
BAD REQUEST400Validation Error / Invalid Items in Request Payload / Invalid uid /Transaction not found / Missing Mandatory Parameters
UNAUTHORIZED401Invalid Authorization Token
Body Params
uids
object
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json